Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RelationServiceNotRegisteredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.relation.RelationException
                      javax.management.relation.RelationServiceNotRegisteredException

All Implemented Interfaces:
  java.io.Serializable

public class RelationServiceNotRegisteredException
extends RelationException

This exception is raised when an access is done to the Relation Service and that one is not registered.

See Also:
  Serialized Form

Constructor Summary
`RelationServiceNotRegisteredException()` Default constructor, no message put in exception.
`RelationServiceNotRegisteredException(java.lang.String message)` Constructor with given message put in exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelationServiceNotRegisteredException

    public RelationServiceNotRegisteredException()

  Default constructor, no message put in exception.

### RelationServiceNotRegisteredException

    public RelationServiceNotRegisteredException(java.lang.String message)

  Constructor with given message put in exception.

Parameters:
  `message` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.